import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { CurrentDeviceService } from '../../current-device.service';
import { ProtocolSelectedEvent } from '../../tap-scanner/api';
import { Platform } from '@ionic/angular';
export declare class TapConnectSocketComponent implements OnInit {
    protected currentDevice: CurrentDeviceService;
    private formBuilder;
    private platform;
    rememberGroupName: string;
    onProtocolSelected: EventEmitter<ProtocolSelectedEvent>;
    protocols: {
        title: string;
        value: string;
    }[];
    form: FormGroup;
    get protocol(): import("@angular/forms").AbstractControl;
    get host(): import("@angular/forms").AbstractControl;
    get port(): import("@angular/forms").AbstractControl;
    constructor(currentDevice: CurrentDeviceService, formBuilder: FormBuilder, platform: Platform);
    ngOnInit(): void;
    private isSocketSupported;
    connect(data: any): Promise<void>;
}
